
# Create "nm-openconnect" user account.
# We adhere to slackbuilds.org assigned UID:GID for nm-openconnect: 321:99
# See http://slackbuilds.org/uid_gid.txt
if ! chroot . getent passwd nm-openconnect 1>/dev/null 2>&1 ; then
  echo "-- Creating user account 'nm-openconnect' with UID:GID 321:99'"
  chroot . useradd -u 321 -g nogroup -c 'NetworkManager user for OpenConnect' -d /var/empty -s /bin/false nm-openconnect
  chroot . passwd -l nm-openconnect 1>/dev/null
fi

